POST : Create company

This endpoint lets you create one company for a given media.

circle-info

This endpoint requires :

β€’ brand_admin, media_admin or media_partner roles.

β€’ r_w_companies scope.

Important informations

  • This endpoint have a short rate limits β†’ Rate limits

circle-exclamation

POST https://api.piloty.fr/companies

Request Body

Name
Type
Description

media_public_id*

string

ex: "acme_media"

name*

string

eg: "ACME Company"

domain_url

string

eg: "acme-company.com"

sector_id

string

Can be multiple separate by ; from List Sectors

size_id

string

description

string

eg: "Lorem Ipsum ..."

logo_url

string

eg : "https://domain.com/url_path" Required format image : MIME IMAGEarrow-up-right

logo

file

Image file format are accepted To use with content-type : multipart/form-data

circle-info

You can add a logo to a company by add to the body : logo_url as string url OR logo as file

[
    "data":{
            "id": "6295debf398f8985f09dc99d",
            "name": "Trusty",
            "public_id": "trusty",
            "size": "62cc627cf40fc5d45819d8f8",
            "sectors": [
                "630f96baa4ef90ff2a51ee34"
            ],
            "content": {
                "visual": {
                    "logo": "https://piloty-public-staging.s3.amazonaws.com/companiesDocuments/6295debf398f8985f09dc99d/6295debf398f8985f09dc99d_logo_1710944607812"
                },
                "description":"Lorem Ipsum ...",
                "language": "fr"
            },
            "is_published": true,
            "is_vme_page_published" : false
        }
]

Request example with application/x-www-form-urlencoded

Request example with multipart/form-data

Last updated